﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.Generic;
using Telerik.Charting;

namespace ChartScatterLine.ViewModels
{
    public class EquationValues
    {
        public double XValue { get; set; }
        public double YValue { get; set; }
    }

    public class ScatterViewModel
    {
        private List<EquationValues> items;

        public ScatterViewModel()
        {
            items = new List<EquationValues>();
            for (int i = -100; i < 100; i++)
			{
                items.Add(new EquationValues() { XValue = i, YValue = i * i });
			}
        }

        public List<EquationValues> Items
        {
            get
            {
                return items;
            }
            set
            {
                items = value;
            }
        }
    }
}
